<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Provides an API around the FOKUS Post-voting Surveys • fokus</title>
<script src="lightswitch.js"></script><script src="deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<link href="deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet">
<script src="deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet">
<link href="deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet">
<script src="deps/headroom-0.11.0/headroom.min.js"></script><script src="deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="deps/search-1.0.0/fuse.min.js"></script><script src="deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="pkgdown.js"></script><meta property="og:title" content="Provides an API around the FOKUS Post-voting Surveys">
<meta name="description" content="fokus allows to (pre-)process and clean the raw data, analyze and visualize the cleaned data, create the questionnaires and provides other utility functions around the FOKUS post-voting surveys by the Centre for Democracy Studies Aarau (ZDA) at the University of Zurich, Switzerland.">
<meta property="og:description" content="fokus allows to (pre-)process and clean the raw data, analyze and visualize the cleaned data, create the questionnaires and provides other utility functions around the FOKUS post-voting surveys by the Centre for Democracy Studies Aarau (ZDA) at the University of Zurich, Switzerland.">
<meta name="twitter:card" content="summary">
<meta name="twitter:creator" content="@2BSalim">
<meta name="twitter:site" content="@2BSalim">
<meta name="robots" content="noindex">
<script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script>
</head>
<body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="index.html">fokus</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9025</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto">
<li class="nav-item"><a class="nav-link" href="reference/index.html">Reference</a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-articles" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true">Articles</button>
  <ul class="dropdown-menu" aria-labelledby="dropdown-articles">
<li><a class="dropdown-item" href="articles/raw_qstnr_schema.html">FOKUS questionnaire schema</a></li>
  </ul>
</li>
      </ul>
<ul class="navbar-nav">
<li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="search.json">
</form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/fokus/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch">
<li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul>
</li>
      </ul>
</div>


  </div>
</nav><div class="container template-home">
<div class="row">
  <main id="main" class="col-md-9"><div class="section level1">
<div class="page-header"><h1 id="fokus">fokus<a class="anchor" aria-label="anchor" href="#fokus"></a>
</h1></div>
<p></p>
<p>fokus allows to (pre-)process and clean the raw data, analyze and visualize the cleaned data, create the questionnaires and provides other utility functions around the FOKUS post-voting surveys by the Centre for Democracy Studies Aarau (ZDA) at the University of Zurich, Switzerland.</p>
<p><strong><em>Porting all the functionality from the legacy <a href="https://gitlab.com/c2d-zda/fokus_aargau/" class="external-link"><code>fokus_aargau</code> repository</a> to this R package and the separate <a href="https://gitlab.com/zdaarau/fokus_reports" class="external-link"><code>fokus_reports</code> Quarto project</a> is still work in progress.</em></strong></p>
<div class="section level2">
<h2 id="installation">Installation<a class="anchor" aria-label="anchor" href="#installation"></a>
</h2>
<p>To install the latest development version of fokus, run the following in R:</p>
<div class="sourceCode" id="cb1"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span><span class="kw">if</span> <span class="op">(</span><span class="op">!</span><span class="op">(</span><span class="st">"remotes"</span> <span class="op"><a href="https://rdrr.io/r/base/match.html" class="external-link">%in%</a></span> <span class="fu"><a href="https://rdrr.io/r/base/colnames.html" class="external-link">rownames</a></span><span class="op">(</span><span class="fu"><a href="https://rdrr.io/r/utils/installed.packages.html" class="external-link">installed.packages</a></span><span class="op">(</span><span class="op">)</span><span class="op">)</span><span class="op">)</span><span class="op">)</span> <span class="op">{</span></span>
<span>  <span class="fu"><a href="https://rdrr.io/r/utils/install.packages.html" class="external-link">install.packages</a></span><span class="op">(</span>pkgs <span class="op">=</span> <span class="st">"remotes"</span>,</span>
<span>                   repos <span class="op">=</span> <span class="st">"https://cloud.r-project.org/"</span><span class="op">)</span></span>
<span><span class="op">}</span></span>
<span></span>
<span><span class="fu">remotes</span><span class="fu">::</span><span class="fu"><a href="https://remotes.r-lib.org/reference/install_gitlab.html" class="external-link">install_gitlab</a></span><span class="op">(</span>repo <span class="op">=</span> <span class="st">"zdaarau/rpkgs/fokus"</span><span class="op">)</span></span></code></pre></div>
</div>
<div class="section level2">
<h2 id="usage">Usage<a class="anchor" aria-label="anchor" href="#usage"></a>
</h2>
<p>The (function) reference is found <a href="reference">here</a>.</p>
</div>
<div class="section level2">
<h2 id="package-configuration">Package configuration<a class="anchor" aria-label="anchor" href="#package-configuration"></a>
</h2>
<p>Some of fokus’s functionality is controlled via package-specific global configuration which can either be set via <a href="https://rdrr.io/r/base/options.html" class="external-link">R options</a> or <a href="https://en.wikipedia.org/wiki/Environment_variable" class="external-link">environment variables</a> (the former take precedence). This configuration includes:</p>
<div class="table-wide">
<table class="table">
<thead><tr>
<th align="left"><strong>Description</strong></th>
<th align="left"><strong>R option</strong></th>
<th align="left"><strong>Environment variable</strong></th>
<th align="left"><strong>Default value</strong></th>
</tr></thead>
<tbody>
<tr>
<td align="left">FOKUS-covered ballot date to fall back to in various functions of this package when it isn’t explicitly specified. Basically a means to globally define the ballot date to be processed. One of <code>"2018-09-23"</code>, <code>"2018-11-25"</code>, <code>"2019-10-20"</code>, <code>"2020-09-27"</code>, <code>"2020-10-18"</code>, <code>"2021-11-28"</code>, <code>"2023-06-18"</code> or <code>"2024-10-20"</code>.</td>
<td align="left"><code>fokus.ballot_date</code></td>
<td align="left"><code>R_FOKUS_BALLOT_DATE</code></td>
<td align="left"><code>as.Date("2018-09-23")</code></td>
</tr>
<tr>
<td align="left">FOKUS-covered canton name to fall back to in various functions of this package when it isn’t explicitly specified. Basically a means to globally define the canton to be processed. One of <code>"aargau"</code>.</td>
<td align="left"><code>fokus.canton</code></td>
<td align="left"><code>R_FOKUS_CANTON</code></td>
<td align="left"><code>"aargau"</code></td>
</tr>
<tr>
<td align="left">Language to fall back to in various functions of this package when it isn’t explicitly specified. Basically a means to globally define the language to process. One of <code>"de"</code> or <code>"en"</code>.</td>
<td align="left"><code>fokus.lang</code></td>
<td align="left"><code>R_FOKUS_LANG</code></td>
<td align="left"><code>"de"</code></td>
</tr>
<tr>
<td align="left">Maximal timespan to preserve the package’s <a href="https://pkgpins.rpkg.dev/" class="external-link">pkgpins</a> cache. Cache entries older than this will be deleted upon package loading.</td>
<td align="left"><code>fokus.global_max_cache_age</code></td>
<td align="left"><code>R_FOKUS_GLOBAL_MAX_CACHE_AGE</code></td>
<td align="left"><code>"1 day"</code></td>
</tr>
<tr>
<td align="left">
<a href="https://gitlab.com/-/user_settings/personal_access_tokens" class="external-link">Personal access token of a gitlab.com account</a> with access to the <a href="https://gitlab.com/zdaarau/private/fokus_private/" class="external-link">private FOKUS repository</a>.</td>
<td align="left"><code>fokus.token_repo_private</code></td>
<td align="left"><code>R_FOKUS_TOKEN_REPO_PRIVATE</code></td>
<td align="left"><code>Sys.getenv("GITLAB_COM_TOKEN")</code></td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="section level2">
<h2 id="questionnaires">Questionnaires<a class="anchor" aria-label="anchor" href="#questionnaires"></a>
</h2>
<p><a href="https://app.netlify.com/sites/qstnr-fokus-ag/deploys" class="external-link"><img src="https://api.netlify.com/api/v1/badges/16855d14-c491-42cd-bc9d-a346e16b6672/deploy-status" alt="Netlify Status"></a></p>
<p>Generated survey questionnaires are automatically deployed to <code>qstnr.fokus.ag/{ballot_date}_{canton}.{ext}</code>, where <code>{ext}</code> is one of <code>html</code>, <code>md</code>, <code>csv</code> or <code>xlsx</code>. The following questionnaires are available:</p>
<ul>
<li>2018-09-23 Aargau: <a href="https://qstnr.fokus.ag/2018-09-23_aargau.html" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 384 512" style="height:1em;width:0.75em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M0 32l34.9 395.8L191.5 480l157.6-52.2L384 32H0zm308.2 127.9H124.4l4.1 49.4h175.6l-13.6 148.4-97.9 27v.3h-1.1l-98.7-27.3-6-75.8h47.7L138 320l53.5 14.5 53.7-14.5 6-62.2H84.3L71.5 112.2h241.1l-4.4 47.7z"></path></svg></a> | <a href="https://qstnr.fokus.ag/2018-09-23_aargau.md" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 640 512" style="height:1em;width:1.25em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M593.8 59.1H46.2C20.7 59.1 0 79.8 0 105.2v301.5c0 25.5 20.7 46.2 46.2 46.2h547.7c25.5 0 46.2-20.7 46.1-46.1V105.2c0-25.4-20.7-46.1-46.2-46.1zM338.5 360.6H277v-120l-61.5 76.9-61.5-76.9v120H92.3V151.4h61.5l61.5 76.9 61.5-76.9h61.5v209.2zm135.3 3.1L381.5 256H443V151.4h61.5V256H566z"></path></svg></a> | <a href="https://qstnr.fokus.ag/2018-09-23_aargau.csv" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 512 512" style="height:1em;width:1em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M0 64C0 28.7 28.7 0 64 0H224V128c0 17.7 14.3 32 32 32H384V304H176c-35.3 0-64 28.7-64 64V512H64c-35.3 0-64-28.7-64-64V64zm384 64H256V0L384 128zM200 352h16c22.1 0 40 17.9 40 40v8c0 8.8-7.2 16-16 16s-16-7.2-16-16v-8c0-4.4-3.6-8-8-8H200c-4.4 0-8 3.6-8 8v80c0 4.4 3.6 8 8 8h16c4.4 0 8-3.6 8-8v-8c0-8.8 7.2-16 16-16s16 7.2 16 16v8c0 22.1-17.9 40-40 40H200c-22.1 0-40-17.9-40-40V392c0-22.1 17.9-40 40-40zm133.1 0H368c8.8 0 16 7.2 16 16s-7.2 16-16 16H333.1c-7.2 0-13.1 5.9-13.1 13.1c0 5.2 3 9.9 7.8 12l37.4 16.6c16.3 7.2 26.8 23.4 26.8 41.2c0 24.9-20.2 45.1-45.1 45.1H304c-8.8 0-16-7.2-16-16s7.2-16 16-16h42.9c7.2 0 13.1-5.9 13.1-13.1c0-5.2-3-9.9-7.8-12l-37.4-16.6c-16.3-7.2-26.8-23.4-26.8-41.2c0-24.9 20.2-45.1 45.1-45.1zm98.9 0c8.8 0 16 7.2 16 16v31.6c0 23 5.5 45.6 16 66c10.5-20.3 16-42.9 16-66V368c0-8.8 7.2-16 16-16s16 7.2 16 16v31.6c0 34.7-10.3 68.7-29.6 97.6l-5.1 7.7c-3 4.5-8 7.1-13.3 7.1s-10.3-2.7-13.3-7.1l-5.1-7.7c-19.3-28.9-29.6-62.9-29.6-97.6V368c0-8.8 7.2-16 16-16z"></path></svg></a> | <a href="https://qstnr.fokus.ag/2018-09-23_aargau.xlsx" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 384 512" style="height:1em;width:0.75em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M64 0C28.7 0 0 28.7 0 64V448c0 35.3 28.7 64 64 64H320c35.3 0 64-28.7 64-64V160H256c-17.7 0-32-14.3-32-32V0H64zM256 0V128H384L256 0zM155.7 250.2L192 302.1l36.3-51.9c7.6-10.9 22.6-13.5 33.4-5.9s13.5 22.6 5.9 33.4L221.3 344l46.4 66.2c7.6 10.9 5 25.8-5.9 33.4s-25.8 5-33.4-5.9L192 385.8l-36.3 51.9c-7.6 10.9-22.6 13.5-33.4 5.9s-13.5-22.6-5.9-33.4L162.7 344l-46.4-66.2c-7.6-10.9-5-25.8 5.9-33.4s25.8-5 33.4 5.9z"></path></svg></a>
</li>
<li>2018-11-25 Aargau: <a href="https://qstnr.fokus.ag/2018-11-25_aargau.html" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 384 512" style="height:1em;width:0.75em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M0 32l34.9 395.8L191.5 480l157.6-52.2L384 32H0zm308.2 127.9H124.4l4.1 49.4h175.6l-13.6 148.4-97.9 27v.3h-1.1l-98.7-27.3-6-75.8h47.7L138 320l53.5 14.5 53.7-14.5 6-62.2H84.3L71.5 112.2h241.1l-4.4 47.7z"></path></svg></a> | <a href="https://qstnr.fokus.ag/2018-11-25_aargau.md" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 640 512" style="height:1em;width:1.25em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M593.8 59.1H46.2C20.7 59.1 0 79.8 0 105.2v301.5c0 25.5 20.7 46.2 46.2 46.2h547.7c25.5 0 46.2-20.7 46.1-46.1V105.2c0-25.4-20.7-46.1-46.2-46.1zM338.5 360.6H277v-120l-61.5 76.9-61.5-76.9v120H92.3V151.4h61.5l61.5 76.9 61.5-76.9h61.5v209.2zm135.3 3.1L381.5 256H443V151.4h61.5V256H566z"></path></svg></a> | <a href="https://qstnr.fokus.ag/2018-11-25_aargau.csv" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 512 512" style="height:1em;width:1em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M0 64C0 28.7 28.7 0 64 0H224V128c0 17.7 14.3 32 32 32H384V304H176c-35.3 0-64 28.7-64 64V512H64c-35.3 0-64-28.7-64-64V64zm384 64H256V0L384 128zM200 352h16c22.1 0 40 17.9 40 40v8c0 8.8-7.2 16-16 16s-16-7.2-16-16v-8c0-4.4-3.6-8-8-8H200c-4.4 0-8 3.6-8 8v80c0 4.4 3.6 8 8 8h16c4.4 0 8-3.6 8-8v-8c0-8.8 7.2-16 16-16s16 7.2 16 16v8c0 22.1-17.9 40-40 40H200c-22.1 0-40-17.9-40-40V392c0-22.1 17.9-40 40-40zm133.1 0H368c8.8 0 16 7.2 16 16s-7.2 16-16 16H333.1c-7.2 0-13.1 5.9-13.1 13.1c0 5.2 3 9.9 7.8 12l37.4 16.6c16.3 7.2 26.8 23.4 26.8 41.2c0 24.9-20.2 45.1-45.1 45.1H304c-8.8 0-16-7.2-16-16s7.2-16 16-16h42.9c7.2 0 13.1-5.9 13.1-13.1c0-5.2-3-9.9-7.8-12l-37.4-16.6c-16.3-7.2-26.8-23.4-26.8-41.2c0-24.9 20.2-45.1 45.1-45.1zm98.9 0c8.8 0 16 7.2 16 16v31.6c0 23 5.5 45.6 16 66c10.5-20.3 16-42.9 16-66V368c0-8.8 7.2-16 16-16s16 7.2 16 16v31.6c0 34.7-10.3 68.7-29.6 97.6l-5.1 7.7c-3 4.5-8 7.1-13.3 7.1s-10.3-2.7-13.3-7.1l-5.1-7.7c-19.3-28.9-29.6-62.9-29.6-97.6V368c0-8.8 7.2-16 16-16z"></path></svg></a> | <a href="https://qstnr.fokus.ag/2018-11-25_aargau.xlsx" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 384 512" style="height:1em;width:0.75em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M64 0C28.7 0 0 28.7 0 64V448c0 35.3 28.7 64 64 64H320c35.3 0 64-28.7 64-64V160H256c-17.7 0-32-14.3-32-32V0H64zM256 0V128H384L256 0zM155.7 250.2L192 302.1l36.3-51.9c7.6-10.9 22.6-13.5 33.4-5.9s13.5 22.6 5.9 33.4L221.3 344l46.4 66.2c7.6 10.9 5 25.8-5.9 33.4s-25.8 5-33.4-5.9L192 385.8l-36.3 51.9c-7.6 10.9-22.6 13.5-33.4 5.9s-13.5-22.6-5.9-33.4L162.7 344l-46.4-66.2c-7.6-10.9-5-25.8 5.9-33.4s25.8-5 33.4 5.9z"></path></svg></a>
</li>
<li>2019-10-20 Aargau: <a href="https://qstnr.fokus.ag/2019-10-20_aargau.html" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 384 512" style="height:1em;width:0.75em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M0 32l34.9 395.8L191.5 480l157.6-52.2L384 32H0zm308.2 127.9H124.4l4.1 49.4h175.6l-13.6 148.4-97.9 27v.3h-1.1l-98.7-27.3-6-75.8h47.7L138 320l53.5 14.5 53.7-14.5 6-62.2H84.3L71.5 112.2h241.1l-4.4 47.7z"></path></svg></a> | <a href="https://qstnr.fokus.ag/2019-10-20_aargau.md" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 640 512" style="height:1em;width:1.25em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M593.8 59.1H46.2C20.7 59.1 0 79.8 0 105.2v301.5c0 25.5 20.7 46.2 46.2 46.2h547.7c25.5 0 46.2-20.7 46.1-46.1V105.2c0-25.4-20.7-46.1-46.2-46.1zM338.5 360.6H277v-120l-61.5 76.9-61.5-76.9v120H92.3V151.4h61.5l61.5 76.9 61.5-76.9h61.5v209.2zm135.3 3.1L381.5 256H443V151.4h61.5V256H566z"></path></svg></a> | <a href="https://qstnr.fokus.ag/2019-10-20_aargau.csv" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 512 512" style="height:1em;width:1em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M0 64C0 28.7 28.7 0 64 0H224V128c0 17.7 14.3 32 32 32H384V304H176c-35.3 0-64 28.7-64 64V512H64c-35.3 0-64-28.7-64-64V64zm384 64H256V0L384 128zM200 352h16c22.1 0 40 17.9 40 40v8c0 8.8-7.2 16-16 16s-16-7.2-16-16v-8c0-4.4-3.6-8-8-8H200c-4.4 0-8 3.6-8 8v80c0 4.4 3.6 8 8 8h16c4.4 0 8-3.6 8-8v-8c0-8.8 7.2-16 16-16s16 7.2 16 16v8c0 22.1-17.9 40-40 40H200c-22.1 0-40-17.9-40-40V392c0-22.1 17.9-40 40-40zm133.1 0H368c8.8 0 16 7.2 16 16s-7.2 16-16 16H333.1c-7.2 0-13.1 5.9-13.1 13.1c0 5.2 3 9.9 7.8 12l37.4 16.6c16.3 7.2 26.8 23.4 26.8 41.2c0 24.9-20.2 45.1-45.1 45.1H304c-8.8 0-16-7.2-16-16s7.2-16 16-16h42.9c7.2 0 13.1-5.9 13.1-13.1c0-5.2-3-9.9-7.8-12l-37.4-16.6c-16.3-7.2-26.8-23.4-26.8-41.2c0-24.9 20.2-45.1 45.1-45.1zm98.9 0c8.8 0 16 7.2 16 16v31.6c0 23 5.5 45.6 16 66c10.5-20.3 16-42.9 16-66V368c0-8.8 7.2-16 16-16s16 7.2 16 16v31.6c0 34.7-10.3 68.7-29.6 97.6l-5.1 7.7c-3 4.5-8 7.1-13.3 7.1s-10.3-2.7-13.3-7.1l-5.1-7.7c-19.3-28.9-29.6-62.9-29.6-97.6V368c0-8.8 7.2-16 16-16z"></path></svg></a> | <a href="https://qstnr.fokus.ag/2019-10-20_aargau.xlsx" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 384 512" style="height:1em;width:0.75em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M64 0C28.7 0 0 28.7 0 64V448c0 35.3 28.7 64 64 64H320c35.3 0 64-28.7 64-64V160H256c-17.7 0-32-14.3-32-32V0H64zM256 0V128H384L256 0zM155.7 250.2L192 302.1l36.3-51.9c7.6-10.9 22.6-13.5 33.4-5.9s13.5 22.6 5.9 33.4L221.3 344l46.4 66.2c7.6 10.9 5 25.8-5.9 33.4s-25.8 5-33.4-5.9L192 385.8l-36.3 51.9c-7.6 10.9-22.6 13.5-33.4 5.9s-13.5-22.6-5.9-33.4L162.7 344l-46.4-66.2c-7.6-10.9-5-25.8 5.9-33.4s25.8-5 33.4 5.9z"></path></svg></a>
</li>
<li>2020-09-27 Aargau: <a href="https://qstnr.fokus.ag/2020-09-27_aargau.html" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 384 512" style="height:1em;width:0.75em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M0 32l34.9 395.8L191.5 480l157.6-52.2L384 32H0zm308.2 127.9H124.4l4.1 49.4h175.6l-13.6 148.4-97.9 27v.3h-1.1l-98.7-27.3-6-75.8h47.7L138 320l53.5 14.5 53.7-14.5 6-62.2H84.3L71.5 112.2h241.1l-4.4 47.7z"></path></svg></a> | <a href="https://qstnr.fokus.ag/2020-09-27_aargau.md" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 640 512" style="height:1em;width:1.25em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M593.8 59.1H46.2C20.7 59.1 0 79.8 0 105.2v301.5c0 25.5 20.7 46.2 46.2 46.2h547.7c25.5 0 46.2-20.7 46.1-46.1V105.2c0-25.4-20.7-46.1-46.2-46.1zM338.5 360.6H277v-120l-61.5 76.9-61.5-76.9v120H92.3V151.4h61.5l61.5 76.9 61.5-76.9h61.5v209.2zm135.3 3.1L381.5 256H443V151.4h61.5V256H566z"></path></svg></a> | <a href="https://qstnr.fokus.ag/2020-09-27_aargau.csv" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 512 512" style="height:1em;width:1em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M0 64C0 28.7 28.7 0 64 0H224V128c0 17.7 14.3 32 32 32H384V304H176c-35.3 0-64 28.7-64 64V512H64c-35.3 0-64-28.7-64-64V64zm384 64H256V0L384 128zM200 352h16c22.1 0 40 17.9 40 40v8c0 8.8-7.2 16-16 16s-16-7.2-16-16v-8c0-4.4-3.6-8-8-8H200c-4.4 0-8 3.6-8 8v80c0 4.4 3.6 8 8 8h16c4.4 0 8-3.6 8-8v-8c0-8.8 7.2-16 16-16s16 7.2 16 16v8c0 22.1-17.9 40-40 40H200c-22.1 0-40-17.9-40-40V392c0-22.1 17.9-40 40-40zm133.1 0H368c8.8 0 16 7.2 16 16s-7.2 16-16 16H333.1c-7.2 0-13.1 5.9-13.1 13.1c0 5.2 3 9.9 7.8 12l37.4 16.6c16.3 7.2 26.8 23.4 26.8 41.2c0 24.9-20.2 45.1-45.1 45.1H304c-8.8 0-16-7.2-16-16s7.2-16 16-16h42.9c7.2 0 13.1-5.9 13.1-13.1c0-5.2-3-9.9-7.8-12l-37.4-16.6c-16.3-7.2-26.8-23.4-26.8-41.2c0-24.9 20.2-45.1 45.1-45.1zm98.9 0c8.8 0 16 7.2 16 16v31.6c0 23 5.5 45.6 16 66c10.5-20.3 16-42.9 16-66V368c0-8.8 7.2-16 16-16s16 7.2 16 16v31.6c0 34.7-10.3 68.7-29.6 97.6l-5.1 7.7c-3 4.5-8 7.1-13.3 7.1s-10.3-2.7-13.3-7.1l-5.1-7.7c-19.3-28.9-29.6-62.9-29.6-97.6V368c0-8.8 7.2-16 16-16z"></path></svg></a> | <a href="https://qstnr.fokus.ag/2020-09-27_aargau.xlsx" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 384 512" style="height:1em;width:0.75em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M64 0C28.7 0 0 28.7 0 64V448c0 35.3 28.7 64 64 64H320c35.3 0 64-28.7 64-64V160H256c-17.7 0-32-14.3-32-32V0H64zM256 0V128H384L256 0zM155.7 250.2L192 302.1l36.3-51.9c7.6-10.9 22.6-13.5 33.4-5.9s13.5 22.6 5.9 33.4L221.3 344l46.4 66.2c7.6 10.9 5 25.8-5.9 33.4s-25.8 5-33.4-5.9L192 385.8l-36.3 51.9c-7.6 10.9-22.6 13.5-33.4 5.9s-13.5-22.6-5.9-33.4L162.7 344l-46.4-66.2c-7.6-10.9-5-25.8 5.9-33.4s25.8-5 33.4 5.9z"></path></svg></a>
</li>
<li>2020-10-18 Aargau: <a href="https://qstnr.fokus.ag/2020-10-18_aargau.html" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 384 512" style="height:1em;width:0.75em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M0 32l34.9 395.8L191.5 480l157.6-52.2L384 32H0zm308.2 127.9H124.4l4.1 49.4h175.6l-13.6 148.4-97.9 27v.3h-1.1l-98.7-27.3-6-75.8h47.7L138 320l53.5 14.5 53.7-14.5 6-62.2H84.3L71.5 112.2h241.1l-4.4 47.7z"></path></svg></a> | <a href="https://qstnr.fokus.ag/2020-10-18_aargau.md" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 640 512" style="height:1em;width:1.25em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M593.8 59.1H46.2C20.7 59.1 0 79.8 0 105.2v301.5c0 25.5 20.7 46.2 46.2 46.2h547.7c25.5 0 46.2-20.7 46.1-46.1V105.2c0-25.4-20.7-46.1-46.2-46.1zM338.5 360.6H277v-120l-61.5 76.9-61.5-76.9v120H92.3V151.4h61.5l61.5 76.9 61.5-76.9h61.5v209.2zm135.3 3.1L381.5 256H443V151.4h61.5V256H566z"></path></svg></a> | <a href="https://qstnr.fokus.ag/2020-10-18_aargau.csv" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 512 512" style="height:1em;width:1em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M0 64C0 28.7 28.7 0 64 0H224V128c0 17.7 14.3 32 32 32H384V304H176c-35.3 0-64 28.7-64 64V512H64c-35.3 0-64-28.7-64-64V64zm384 64H256V0L384 128zM200 352h16c22.1 0 40 17.9 40 40v8c0 8.8-7.2 16-16 16s-16-7.2-16-16v-8c0-4.4-3.6-8-8-8H200c-4.4 0-8 3.6-8 8v80c0 4.4 3.6 8 8 8h16c4.4 0 8-3.6 8-8v-8c0-8.8 7.2-16 16-16s16 7.2 16 16v8c0 22.1-17.9 40-40 40H200c-22.1 0-40-17.9-40-40V392c0-22.1 17.9-40 40-40zm133.1 0H368c8.8 0 16 7.2 16 16s-7.2 16-16 16H333.1c-7.2 0-13.1 5.9-13.1 13.1c0 5.2 3 9.9 7.8 12l37.4 16.6c16.3 7.2 26.8 23.4 26.8 41.2c0 24.9-20.2 45.1-45.1 45.1H304c-8.8 0-16-7.2-16-16s7.2-16 16-16h42.9c7.2 0 13.1-5.9 13.1-13.1c0-5.2-3-9.9-7.8-12l-37.4-16.6c-16.3-7.2-26.8-23.4-26.8-41.2c0-24.9 20.2-45.1 45.1-45.1zm98.9 0c8.8 0 16 7.2 16 16v31.6c0 23 5.5 45.6 16 66c10.5-20.3 16-42.9 16-66V368c0-8.8 7.2-16 16-16s16 7.2 16 16v31.6c0 34.7-10.3 68.7-29.6 97.6l-5.1 7.7c-3 4.5-8 7.1-13.3 7.1s-10.3-2.7-13.3-7.1l-5.1-7.7c-19.3-28.9-29.6-62.9-29.6-97.6V368c0-8.8 7.2-16 16-16z"></path></svg></a> | <a href="https://qstnr.fokus.ag/2020-10-18_aargau.xlsx" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 384 512" style="height:1em;width:0.75em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M64 0C28.7 0 0 28.7 0 64V448c0 35.3 28.7 64 64 64H320c35.3 0 64-28.7 64-64V160H256c-17.7 0-32-14.3-32-32V0H64zM256 0V128H384L256 0zM155.7 250.2L192 302.1l36.3-51.9c7.6-10.9 22.6-13.5 33.4-5.9s13.5 22.6 5.9 33.4L221.3 344l46.4 66.2c7.6 10.9 5 25.8-5.9 33.4s-25.8 5-33.4-5.9L192 385.8l-36.3 51.9c-7.6 10.9-22.6 13.5-33.4 5.9s-13.5-22.6-5.9-33.4L162.7 344l-46.4-66.2c-7.6-10.9-5-25.8 5.9-33.4s25.8-5 33.4 5.9z"></path></svg></a>
</li>
<li>2021-11-28 Aargau: <a href="https://qstnr.fokus.ag/2021-11-28_aargau.html" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 384 512" style="height:1em;width:0.75em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M0 32l34.9 395.8L191.5 480l157.6-52.2L384 32H0zm308.2 127.9H124.4l4.1 49.4h175.6l-13.6 148.4-97.9 27v.3h-1.1l-98.7-27.3-6-75.8h47.7L138 320l53.5 14.5 53.7-14.5 6-62.2H84.3L71.5 112.2h241.1l-4.4 47.7z"></path></svg></a> | <a href="https://qstnr.fokus.ag/2021-11-28_aargau.md" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 640 512" style="height:1em;width:1.25em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M593.8 59.1H46.2C20.7 59.1 0 79.8 0 105.2v301.5c0 25.5 20.7 46.2 46.2 46.2h547.7c25.5 0 46.2-20.7 46.1-46.1V105.2c0-25.4-20.7-46.1-46.2-46.1zM338.5 360.6H277v-120l-61.5 76.9-61.5-76.9v120H92.3V151.4h61.5l61.5 76.9 61.5-76.9h61.5v209.2zm135.3 3.1L381.5 256H443V151.4h61.5V256H566z"></path></svg></a> | <a href="https://qstnr.fokus.ag/2021-11-28_aargau.csv" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 512 512" style="height:1em;width:1em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M0 64C0 28.7 28.7 0 64 0H224V128c0 17.7 14.3 32 32 32H384V304H176c-35.3 0-64 28.7-64 64V512H64c-35.3 0-64-28.7-64-64V64zm384 64H256V0L384 128zM200 352h16c22.1 0 40 17.9 40 40v8c0 8.8-7.2 16-16 16s-16-7.2-16-16v-8c0-4.4-3.6-8-8-8H200c-4.4 0-8 3.6-8 8v80c0 4.4 3.6 8 8 8h16c4.4 0 8-3.6 8-8v-8c0-8.8 7.2-16 16-16s16 7.2 16 16v8c0 22.1-17.9 40-40 40H200c-22.1 0-40-17.9-40-40V392c0-22.1 17.9-40 40-40zm133.1 0H368c8.8 0 16 7.2 16 16s-7.2 16-16 16H333.1c-7.2 0-13.1 5.9-13.1 13.1c0 5.2 3 9.9 7.8 12l37.4 16.6c16.3 7.2 26.8 23.4 26.8 41.2c0 24.9-20.2 45.1-45.1 45.1H304c-8.8 0-16-7.2-16-16s7.2-16 16-16h42.9c7.2 0 13.1-5.9 13.1-13.1c0-5.2-3-9.9-7.8-12l-37.4-16.6c-16.3-7.2-26.8-23.4-26.8-41.2c0-24.9 20.2-45.1 45.1-45.1zm98.9 0c8.8 0 16 7.2 16 16v31.6c0 23 5.5 45.6 16 66c10.5-20.3 16-42.9 16-66V368c0-8.8 7.2-16 16-16s16 7.2 16 16v31.6c0 34.7-10.3 68.7-29.6 97.6l-5.1 7.7c-3 4.5-8 7.1-13.3 7.1s-10.3-2.7-13.3-7.1l-5.1-7.7c-19.3-28.9-29.6-62.9-29.6-97.6V368c0-8.8 7.2-16 16-16z"></path></svg></a> | <a href="https://qstnr.fokus.ag/2021-11-28_aargau.xlsx" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 384 512" style="height:1em;width:0.75em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M64 0C28.7 0 0 28.7 0 64V448c0 35.3 28.7 64 64 64H320c35.3 0 64-28.7 64-64V160H256c-17.7 0-32-14.3-32-32V0H64zM256 0V128H384L256 0zM155.7 250.2L192 302.1l36.3-51.9c7.6-10.9 22.6-13.5 33.4-5.9s13.5 22.6 5.9 33.4L221.3 344l46.4 66.2c7.6 10.9 5 25.8-5.9 33.4s-25.8 5-33.4-5.9L192 385.8l-36.3 51.9c-7.6 10.9-22.6 13.5-33.4 5.9s-13.5-22.6-5.9-33.4L162.7 344l-46.4-66.2c-7.6-10.9-5-25.8 5.9-33.4s25.8-5 33.4 5.9z"></path></svg></a>
</li>
<li>2023-06-18 Aargau: <a href="https://qstnr.fokus.ag/2023-06-18_aargau.html" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 384 512" style="height:1em;width:0.75em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M0 32l34.9 395.8L191.5 480l157.6-52.2L384 32H0zm308.2 127.9H124.4l4.1 49.4h175.6l-13.6 148.4-97.9 27v.3h-1.1l-98.7-27.3-6-75.8h47.7L138 320l53.5 14.5 53.7-14.5 6-62.2H84.3L71.5 112.2h241.1l-4.4 47.7z"></path></svg></a> | <a href="https://qstnr.fokus.ag/2023-06-18_aargau.md" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 640 512" style="height:1em;width:1.25em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M593.8 59.1H46.2C20.7 59.1 0 79.8 0 105.2v301.5c0 25.5 20.7 46.2 46.2 46.2h547.7c25.5 0 46.2-20.7 46.1-46.1V105.2c0-25.4-20.7-46.1-46.2-46.1zM338.5 360.6H277v-120l-61.5 76.9-61.5-76.9v120H92.3V151.4h61.5l61.5 76.9 61.5-76.9h61.5v209.2zm135.3 3.1L381.5 256H443V151.4h61.5V256H566z"></path></svg></a> | <a href="https://qstnr.fokus.ag/2023-06-18_aargau.csv" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 512 512" style="height:1em;width:1em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M0 64C0 28.7 28.7 0 64 0H224V128c0 17.7 14.3 32 32 32H384V304H176c-35.3 0-64 28.7-64 64V512H64c-35.3 0-64-28.7-64-64V64zm384 64H256V0L384 128zM200 352h16c22.1 0 40 17.9 40 40v8c0 8.8-7.2 16-16 16s-16-7.2-16-16v-8c0-4.4-3.6-8-8-8H200c-4.4 0-8 3.6-8 8v80c0 4.4 3.6 8 8 8h16c4.4 0 8-3.6 8-8v-8c0-8.8 7.2-16 16-16s16 7.2 16 16v8c0 22.1-17.9 40-40 40H200c-22.1 0-40-17.9-40-40V392c0-22.1 17.9-40 40-40zm133.1 0H368c8.8 0 16 7.2 16 16s-7.2 16-16 16H333.1c-7.2 0-13.1 5.9-13.1 13.1c0 5.2 3 9.9 7.8 12l37.4 16.6c16.3 7.2 26.8 23.4 26.8 41.2c0 24.9-20.2 45.1-45.1 45.1H304c-8.8 0-16-7.2-16-16s7.2-16 16-16h42.9c7.2 0 13.1-5.9 13.1-13.1c0-5.2-3-9.9-7.8-12l-37.4-16.6c-16.3-7.2-26.8-23.4-26.8-41.2c0-24.9 20.2-45.1 45.1-45.1zm98.9 0c8.8 0 16 7.2 16 16v31.6c0 23 5.5 45.6 16 66c10.5-20.3 16-42.9 16-66V368c0-8.8 7.2-16 16-16s16 7.2 16 16v31.6c0 34.7-10.3 68.7-29.6 97.6l-5.1 7.7c-3 4.5-8 7.1-13.3 7.1s-10.3-2.7-13.3-7.1l-5.1-7.7c-19.3-28.9-29.6-62.9-29.6-97.6V368c0-8.8 7.2-16 16-16z"></path></svg></a> | <a href="https://qstnr.fokus.ag/2023-06-18_aargau.xlsx" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 384 512" style="height:1em;width:0.75em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M64 0C28.7 0 0 28.7 0 64V448c0 35.3 28.7 64 64 64H320c35.3 0 64-28.7 64-64V160H256c-17.7 0-32-14.3-32-32V0H64zM256 0V128H384L256 0zM155.7 250.2L192 302.1l36.3-51.9c7.6-10.9 22.6-13.5 33.4-5.9s13.5 22.6 5.9 33.4L221.3 344l46.4 66.2c7.6 10.9 5 25.8-5.9 33.4s-25.8 5-33.4-5.9L192 385.8l-36.3 51.9c-7.6 10.9-22.6 13.5-33.4 5.9s-13.5-22.6-5.9-33.4L162.7 344l-46.4-66.2c-7.6-10.9-5-25.8 5.9-33.4s25.8-5 33.4 5.9z"></path></svg></a>
</li>
<li>2024-10-20 Aargau: <a href="https://qstnr.fokus.ag/2024-10-20_aargau.html" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 384 512" style="height:1em;width:0.75em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M0 32l34.9 395.8L191.5 480l157.6-52.2L384 32H0zm308.2 127.9H124.4l4.1 49.4h175.6l-13.6 148.4-97.9 27v.3h-1.1l-98.7-27.3-6-75.8h47.7L138 320l53.5 14.5 53.7-14.5 6-62.2H84.3L71.5 112.2h241.1l-4.4 47.7z"></path></svg></a> | <a href="https://qstnr.fokus.ag/2024-10-20_aargau.md" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 640 512" style="height:1em;width:1.25em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M593.8 59.1H46.2C20.7 59.1 0 79.8 0 105.2v301.5c0 25.5 20.7 46.2 46.2 46.2h547.7c25.5 0 46.2-20.7 46.1-46.1V105.2c0-25.4-20.7-46.1-46.2-46.1zM338.5 360.6H277v-120l-61.5 76.9-61.5-76.9v120H92.3V151.4h61.5l61.5 76.9 61.5-76.9h61.5v209.2zm135.3 3.1L381.5 256H443V151.4h61.5V256H566z"></path></svg></a> | <a href="https://qstnr.fokus.ag/2024-10-20_aargau.csv" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 512 512" style="height:1em;width:1em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M0 64C0 28.7 28.7 0 64 0H224V128c0 17.7 14.3 32 32 32H384V304H176c-35.3 0-64 28.7-64 64V512H64c-35.3 0-64-28.7-64-64V64zm384 64H256V0L384 128zM200 352h16c22.1 0 40 17.9 40 40v8c0 8.8-7.2 16-16 16s-16-7.2-16-16v-8c0-4.4-3.6-8-8-8H200c-4.4 0-8 3.6-8 8v80c0 4.4 3.6 8 8 8h16c4.4 0 8-3.6 8-8v-8c0-8.8 7.2-16 16-16s16 7.2 16 16v8c0 22.1-17.9 40-40 40H200c-22.1 0-40-17.9-40-40V392c0-22.1 17.9-40 40-40zm133.1 0H368c8.8 0 16 7.2 16 16s-7.2 16-16 16H333.1c-7.2 0-13.1 5.9-13.1 13.1c0 5.2 3 9.9 7.8 12l37.4 16.6c16.3 7.2 26.8 23.4 26.8 41.2c0 24.9-20.2 45.1-45.1 45.1H304c-8.8 0-16-7.2-16-16s7.2-16 16-16h42.9c7.2 0 13.1-5.9 13.1-13.1c0-5.2-3-9.9-7.8-12l-37.4-16.6c-16.3-7.2-26.8-23.4-26.8-41.2c0-24.9 20.2-45.1 45.1-45.1zm98.9 0c8.8 0 16 7.2 16 16v31.6c0 23 5.5 45.6 16 66c10.5-20.3 16-42.9 16-66V368c0-8.8 7.2-16 16-16s16 7.2 16 16v31.6c0 34.7-10.3 68.7-29.6 97.6l-5.1 7.7c-3 4.5-8 7.1-13.3 7.1s-10.3-2.7-13.3-7.1l-5.1-7.7c-19.3-28.9-29.6-62.9-29.6-97.6V368c0-8.8 7.2-16 16-16z"></path></svg></a> | <a href="https://qstnr.fokus.ag/2024-10-20_aargau.xlsx" class="external-link"><svg aria-hidden="true" role="img" viewbox="0 0 384 512" style="height:1em;width:0.75em;vertical-align:-0.125em;margin-left:auto;margin-right:auto;font-size:inherit;fill:currentColor;overflow:visible;position:relative;"><path d="M64 0C28.7 0 0 28.7 0 64V448c0 35.3 28.7 64 64 64H320c35.3 0 64-28.7 64-64V160H256c-17.7 0-32-14.3-32-32V0H64zM256 0V128H384L256 0zM155.7 250.2L192 302.1l36.3-51.9c7.6-10.9 22.6-13.5 33.4-5.9s13.5 22.6 5.9 33.4L221.3 344l46.4 66.2c7.6 10.9 5 25.8-5.9 33.4s-25.8 5-33.4-5.9L192 385.8l-36.3 51.9c-7.6 10.9-22.6 13.5-33.4 5.9s-13.5-22.6-5.9-33.4L162.7 344l-46.4-66.2c-7.6-10.9-5-25.8 5.9-33.4s25.8-5 33.4 5.9z"></path></svg></a>
</li>
</ul>
</div>
<div class="section level2">
<h2 id="private-fokus-directory-structure">Private FOKUS directory structure<a class="anchor" aria-label="anchor" href="#private-fokus-directory-structure"></a>
</h2>
<p>For part of this package’s functionality, a <a href="https://gitlab.com/-/user_settings/personal_access_tokens" class="external-link">personal access token (PAT) of a gitlab.com account</a> with access to the <a href="https://gitlab.com/zdaarau/private/fokus_private/" class="external-link">private FOKUS repository</a> is required. This repository contains additional sensitive, non-public (survey) data under the <code>raw/</code> subdirectory and certain files are written to its <code>generated/</code> subdirectory.</p>
<details><summary><strong>Directory structure schema</strong>
</summary><div class="sourceCode" id="cb2"><pre class="sourceCode default"><code class="sourceCode default"><span id="cb2-1"><a href="#cb2-1" tabindex="-1"></a>fokus_private</span>
<span id="cb2-2"><a href="#cb2-2" tabindex="-1"></a>├── generated</span>
<span id="cb2-3"><a href="#cb2-3" tabindex="-1"></a>│   ├── for-polling-agency</span>
<span id="cb2-4"><a href="#cb2-4" tabindex="-1"></a>│   │   ├── {ballot_date}_{canton}_easyvote_municipalities.csv</span>
<span id="cb2-5"><a href="#cb2-5" tabindex="-1"></a>│   │   ├── {ballot_date}_{canton}_print_recipients.csv</span>
<span id="cb2-6"><a href="#cb2-6" tabindex="-1"></a>│   │   └── {ballot_date}_{canton}_qr_codes.zip</span>
<span id="cb2-7"><a href="#cb2-7" tabindex="-1"></a>│   ├── survey_data_de_{ballot_date}_{canton}.rds</span>
<span id="cb2-8"><a href="#cb2-8" tabindex="-1"></a>│   ├── survey_data_en_{ballot_date}_{canton}.rds</span>
<span id="cb2-9"><a href="#cb2-9" tabindex="-1"></a>│   ├── survey_data_merged_de_{ballot_date}_{canton}.rds</span>
<span id="cb2-10"><a href="#cb2-10" tabindex="-1"></a>│   └── survey_data_merged_en_{ballot_date}_{canton}.rds</span>
<span id="cb2-11"><a href="#cb2-11" tabindex="-1"></a>├── raw</span>
<span id="cb2-12"><a href="#cb2-12" tabindex="-1"></a>│   ├── easyvote_municipalities_{ballot_date}_{canton}.csv</span>
<span id="cb2-13"><a href="#cb2-13" tabindex="-1"></a>│   ├── online_participation_codes_{ballot_date}_{canton}.txt</span>
<span id="cb2-14"><a href="#cb2-14" tabindex="-1"></a>│   ├── survey_data_{ballot_date}_{canton}.xlsx</span>
<span id="cb2-15"><a href="#cb2-15" tabindex="-1"></a>│   ├── survey_data_{ballot_date}_{canton}_*.xlsx</span>
<span id="cb2-16"><a href="#cb2-16" tabindex="-1"></a>│   ├── survey_data_preliminary_{ballot_date}_{canton}.xlsx</span>
<span id="cb2-17"><a href="#cb2-17" tabindex="-1"></a>│   ├── voting_register_data_extra_{date_delivery_statistical_office}_{canton}.xlsx</span>
<span id="cb2-18"><a href="#cb2-18" tabindex="-1"></a>│   ├── voting_register_ids_{ballot_date}_{canton}.csv</span>
<span id="cb2-19"><a href="#cb2-19" tabindex="-1"></a>│   └── ...</span>
<span id="cb2-20"><a href="#cb2-20" tabindex="-1"></a>└── ...</span></code></pre></div>
<p>The following placeholders are used in the schema above:</p>
<ul>
<li>
<code>...</code> for further files and/or folders</li>
<li>
<code>*</code> for a variable character sequence</li>
<li>
<code>#</code> for a count starting with <code>1</code>
</li>
<li>
<code>{canton}</code> for the name of the FOKUS-covered canton (in lower case), e.g. <code>aargau</code>
</li>
<li>
<code>{ballot_date}</code> for the FOKUS-covered ballot date (in the format <code>YYYY-MM-DD</code>), e.g. <code>2018-09-23</code>
</li>
<li>
<code>{date_delivery_statistical_office}</code> for the delivery date of the voting register data provided by the cantonal statistical office (in the format <code>YYYY-MM-DD</code>), e.g. <code>2019-09-11</code>
</li>
</ul></details>
</div>
<div class="section level2">
<h2 id="development">Development<a class="anchor" aria-label="anchor" href="#development"></a>
</h2>
<div class="section level3">
<h3 id="r-markdown-format">R Markdown format<a class="anchor" aria-label="anchor" href="#r-markdown-format"></a>
</h3>
<p>This package’s source code is written in the <a href="https://rmarkdown.rstudio.com/" class="external-link">R Markdown</a> file format to facilitate practices commonly referred to as <a href="https://en.wikipedia.org/wiki/Literate_programming" class="external-link"><em>literate programming</em></a>. It allows the actual code to be freely mixed with explanatory and supplementary information in expressive Markdown format instead of having to rely on <a href="https://rstudio.github.io/r-manuals/r-lang/Parser.html#comments" class="external-link"><code>#</code> comments</a> only.</p>
<p>All the <code>.gen.R</code> suffixed R source code found under <a href="https://gitlab.com/zdaarau/rpkgs/fokus/-/tree/master/R/" class="external-link"><code>R/</code></a> is generated from the respective R Markdown counterparts under <a href="https://gitlab.com/zdaarau/rpkgs/fokus/-/tree/master/Rmd/" class="external-link"><code>Rmd/</code></a> using <a href="https://pkgpurl.rpkg.dev/dev/reference/purl_rmd.html" class="external-link"><code>pkgpurl::purl_rmd()</code></a><a class="footnote-ref" tabindex="0" data-bs-toggle="popover" data-bs-content='&lt;p&gt;The very idea to leverage the R Markdown format to author R packages was originally proposed by Yihui Xie. See his excellent &lt;a href="https://yihui.org/rlp/" class="external-link"&gt;blog post&lt;/a&gt; for his point of view on the advantages of literate programming techniques and some practical examples. Note that using &lt;code&gt;&lt;a href="https://pkgpurl.rpkg.dev/reference/purl_rmd.html" class="external-link"&gt;pkgpurl::purl_rmd()&lt;/a&gt;&lt;/code&gt; is a less cumbersome alternative to the Makefile approach outlined by him.&lt;/p&gt;'><sup>1</sup></a>. Always make changes only to the <code>.Rmd</code> files – never the <code>.R</code> files – and then run <code><a href="https://pkgpurl.rpkg.dev/reference/purl_rmd.html" class="external-link">pkgpurl::purl_rmd()</a></code> to regenerate the R source files.</p>
</div>
<div class="section level3">
<h3 id="coding-style">Coding style<a class="anchor" aria-label="anchor" href="#coding-style"></a>
</h3>
<p>This package borrows a lot of the <a href="https://www.tidyverse.org/" class="external-link">Tidyverse</a> design philosophies. The R code is guided by the <a href="https://design.tidyverse.org/" class="external-link">Tidy design principles</a> and is formatted according to the <a href="https://style.tidyverse.org/" class="external-link">Tidyverse Style Guide</a> (TSG) with the following exceptions:</p>
<ul>
<li>
<p>Line width is limited to <strong>160 characters</strong>, double the <a href="https://style.tidyverse.org/syntax.html#long-lines" class="external-link">limit proposed by the TSG</a> (80 characters is ridiculously little given today’s high-resolution wide screen monitors).</p>
<p>Furthermore, the preferred style for breaking long lines differs. Instead of wrapping directly after an expression’s opening bracket as <a href="https://style.tidyverse.org/syntax.html#long-lines" class="external-link">suggested by the TSG</a>, we prefer two fewer line breaks and indent subsequent lines within the expression by its opening bracket:</p>
<div class="sourceCode" id="cb3"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span><span class="co"># TSG proposes this</span></span>
<span><span class="fu">do_something_very_complicated</span><span class="op">(</span></span>
<span>  something <span class="op">=</span> <span class="st">"that"</span>,</span>
<span>  requires <span class="op">=</span> <span class="va">many</span>,</span>
<span>  arguments <span class="op">=</span> <span class="st">"some of which may be long"</span></span>
<span><span class="op">)</span></span>
<span></span>
<span><span class="co"># we prefer this</span></span>
<span><span class="fu">do_something_very_complicated</span><span class="op">(</span>something <span class="op">=</span> <span class="st">"that"</span>,</span>
<span>                              requires <span class="op">=</span> <span class="va">many</span>,</span>
<span>                              arguments <span class="op">=</span> <span class="st">"some of which may be long"</span><span class="op">)</span></span></code></pre></div>
<p>This results in less vertical and more horizontal spread of the code and better readability in pipes.</p>
</li>
<li><p>Usage of <a href="https://magrittr.tidyverse.org/reference/compound.html" class="external-link">magrittr’s compound assignment pipe-operator <code>%&lt;&gt;%</code></a> is desirable<a class="footnote-ref" tabindex="0" data-bs-toggle="popover" data-bs-content='&lt;p&gt;The TSG &lt;a href="https://style.tidyverse.org/pipes.html#assignment-2" class="external-link"&gt;explicitly instructs to avoid this operator&lt;/a&gt; – presumably because it’s relatively unknown and therefore might be confused with the forward pipe operator &lt;code&gt;%&amp;gt;%&lt;/code&gt; when skimming code only briefly. I don’t consider this to be an actual issue since there aren’t many sensible usage patterns of &lt;code&gt;%&amp;gt;%&lt;/code&gt; at the beginning of a pipe sequence inside a function – I can only think of creating side effects and relying on &lt;a href="https://rdrr.io/r/base/function.html" class="external-link"&gt;R’s implicit return of the last evaluated expression&lt;/a&gt;. Therefore – and because I really like the &lt;code&gt;%&amp;lt;&amp;gt;%&lt;/code&gt; operator – it’s usage is welcome.&lt;/p&gt;'><sup>2</sup></a>.</p></li>
<li><p>Usage of <a href="https://rdrr.io/r/base/assignOps.html" class="external-link">R’s right-hand assignment operator <code>-&gt;</code></a> is not allowed<a class="footnote-ref" tabindex="0" data-bs-toggle="popover" data-bs-content='&lt;p&gt;The TSG &lt;a href="https://style.tidyverse.org/pipes.html#assignment-2" class="external-link"&gt;explicitly accepts &lt;code&gt;-&amp;gt;&lt;/code&gt; for assignments at the end of a pipe sequence&lt;/a&gt; while Google’s R Style Guide &lt;a href="https://google.github.io/styleguide/Rguide.html#right-hand-assignment" class="external-link"&gt;considers this bad practice&lt;/a&gt; because it “makes it harder to see in code where an object is defined”. I second the latter.&lt;/p&gt;'><sup>3</sup></a>.</p></li>
<li><p>R source code is <em>not</em> split over several files as <a href="https://style.tidyverse.org/package-files.html" class="external-link">suggested by the TSG</a> but instead is (as far as possible) kept in the single file <a href="https://gitlab.com/zdaarau/rpkgs/fokus/-/tree/master/Rmd/fokus.Rmd" class="external-link"><code>Rmd/fokus.Rmd</code></a> which is well-structured thanks to its <a href="#r-markdown-format">Markdown support</a>.</p></li>
</ul>
<p>As far as possible, these deviations from the TSG plus some additional restrictions are formally specified in <a href="https://pkgpurl.rpkg.dev/reference/default_linters" class="external-link"><code>pkgpurl::default_linters</code></a>, which is (by default) used in <a href="https://pkgpurl.rpkg.dev/reference/lint_rmd" class="external-link"><code>pkgpurl::lint_rmd()</code></a>, which in turn is the recommended way to lint this package.</p>
</div>
<div class="section level3">
<h3 id="abbreviations">Abbreviations<a class="anchor" aria-label="anchor" href="#abbreviations"></a>
</h3>
<p>The abbreviations used to name things (function and parameter names etc.) in this package include:</p>
<details><summary><strong>Table of abbreviations</strong>
</summary><table class="table">
<thead><tr>
<th align="left"><strong>Full expression(s)</strong></th>
<th align="left"><strong>Abbreviation</strong></th>
</tr></thead>
<tbody>
<tr>
<td align="left">abbreviate, abbreviation</td>
<td align="left">abbr</td>
</tr>
<tr>
<td align="left">abbreviations</td>
<td align="left">abbrs</td>
</tr>
<tr>
<td align="left">absolute</td>
<td align="left">abs</td>
</tr>
<tr>
<td align="left">argument</td>
<td align="left">arg</td>
</tr>
<tr>
<td align="left">arguments</td>
<td align="left">args</td>
</tr>
<tr>
<td align="left">attribute</td>
<td align="left">attr</td>
</tr>
<tr>
<td align="left">attributes</td>
<td align="left">attrs</td>
</tr>
<tr>
<td align="left">authenticate, authentication</td>
<td align="left">auth</td>
</tr>
<tr>
<td align="left">authentications</td>
<td align="left">auths</td>
</tr>
<tr>
<td align="left">auxiliary</td>
<td align="left">aux</td>
</tr>
<tr>
<td align="left">back up</td>
<td align="left">kbp</td>
</tr>
<tr>
<td align="left">background</td>
<td align="left">bg</td>
</tr>
<tr>
<td align="left">backup</td>
<td align="left">bkp</td>
</tr>
<tr>
<td align="left">bibliographies</td>
<td align="left">bibs</td>
</tr>
<tr>
<td align="left">bibliography</td>
<td align="left">bib</td>
</tr>
<tr>
<td align="left">certificates, certifications</td>
<td align="left">certs</td>
</tr>
<tr>
<td align="left">certify, certificate, certification</td>
<td align="left">cert</td>
</tr>
<tr>
<td align="left">chapter</td>
<td align="left">chpt</td>
</tr>
<tr>
<td align="left">chapters</td>
<td align="left">chpts</td>
</tr>
<tr>
<td align="left">character</td>
<td align="left">chr</td>
</tr>
<tr>
<td align="left">characters</td>
<td align="left">chrs</td>
</tr>
<tr>
<td align="left">column</td>
<td align="left">col</td>
</tr>
<tr>
<td align="left">columns</td>
<td align="left">cols</td>
</tr>
<tr>
<td align="left">combination</td>
<td align="left">combo</td>
</tr>
<tr>
<td align="left">combinations</td>
<td align="left">combos</td>
</tr>
<tr>
<td align="left">command</td>
<td align="left">cmd</td>
</tr>
<tr>
<td align="left">commands</td>
<td align="left">cmds</td>
</tr>
<tr>
<td align="left">condition</td>
<td align="left">cnd</td>
</tr>
<tr>
<td align="left">conditions</td>
<td align="left">cnds</td>
</tr>
<tr>
<td align="left">configurations</td>
<td align="left">configs</td>
</tr>
<tr>
<td align="left">configure, configuration</td>
<td align="left">config</td>
</tr>
<tr>
<td align="left">connection</td>
<td align="left">conn</td>
</tr>
<tr>
<td align="left">connections</td>
<td align="left">conns</td>
</tr>
<tr>
<td align="left">current</td>
<td align="left">cur</td>
</tr>
<tr>
<td align="left">database</td>
<td align="left">db</td>
</tr>
<tr>
<td align="left">dataframe</td>
<td align="left">df</td>
</tr>
<tr>
<td align="left">dataframe column</td>
<td align="left">dfc</td>
</tr>
<tr>
<td align="left">dataframe row</td>
<td align="left">dfr</td>
</tr>
<tr>
<td align="left">dataframes</td>
<td align="left">dfs</td>
</tr>
<tr>
<td align="left">define, definition</td>
<td align="left">def</td>
</tr>
<tr>
<td align="left">definitions</td>
<td align="left">defs</td>
</tr>
<tr>
<td align="left">delete, deletion</td>
<td align="left">del</td>
</tr>
<tr>
<td align="left">deletions</td>
<td align="left">dels</td>
</tr>
<tr>
<td align="left">depend, dependency</td>
<td align="left">dep</td>
</tr>
<tr>
<td align="left">dependencies</td>
<td align="left">deps</td>
</tr>
<tr>
<td align="left">develop, development, developer</td>
<td align="left">dev</td>
</tr>
<tr>
<td align="left">developments, developers</td>
<td align="left">devs</td>
</tr>
<tr>
<td align="left">dictionaries</td>
<td align="left">dicts</td>
</tr>
<tr>
<td align="left">dictionary</td>
<td align="left">dict</td>
</tr>
<tr>
<td align="left">differences</td>
<td align="left">diffs</td>
</tr>
<tr>
<td align="left">differentiate, difference</td>
<td align="left">diff</td>
</tr>
<tr>
<td align="left">directories</td>
<td align="left">dirs</td>
</tr>
<tr>
<td align="left">directory</td>
<td align="left">dir</td>
</tr>
<tr>
<td align="left">distribution</td>
<td align="left">distro</td>
</tr>
<tr>
<td align="left">distributions</td>
<td align="left">distros</td>
</tr>
<tr>
<td align="left">document</td>
<td align="left">doc</td>
</tr>
<tr>
<td align="left">documents</td>
<td align="left">docs</td>
</tr>
<tr>
<td align="left">double</td>
<td align="left">dbl</td>
</tr>
<tr>
<td align="left">doubles</td>
<td align="left">dbls</td>
</tr>
<tr>
<td align="left">duplicate, duplication</td>
<td align="left">dupl</td>
</tr>
<tr>
<td align="left">duplicates, duplications</td>
<td align="left">dupls</td>
</tr>
<tr>
<td align="left">dynamic</td>
<td align="left">dyn</td>
</tr>
<tr>
<td align="left">element</td>
<td align="left">el</td>
</tr>
<tr>
<td align="left">elements</td>
<td align="left">els</td>
</tr>
<tr>
<td align="left">enumerate, enumeration</td>
<td align="left">enum</td>
</tr>
<tr>
<td align="left">enumerations</td>
<td align="left">enums</td>
</tr>
<tr>
<td align="left">environment</td>
<td align="left">env</td>
</tr>
<tr>
<td align="left">environments</td>
<td align="left">envs</td>
</tr>
<tr>
<td align="left">evaluate, evaluation</td>
<td align="left">eval</td>
</tr>
<tr>
<td align="left">evaluations</td>
<td align="left">evals</td>
</tr>
<tr>
<td align="left">exclude, exclusion</td>
<td align="left">excl</td>
</tr>
<tr>
<td align="left">execute, execution</td>
<td align="left">exec</td>
</tr>
<tr>
<td align="left">executions</td>
<td align="left">execs</td>
</tr>
<tr>
<td align="left">expression</td>
<td align="left">expr</td>
</tr>
<tr>
<td align="left">expressions</td>
<td align="left">exprs</td>
</tr>
<tr>
<td align="left">extend, extension</td>
<td align="left">ext</td>
</tr>
<tr>
<td align="left">extensions</td>
<td align="left">exts</td>
</tr>
<tr>
<td align="left">factor</td>
<td align="left">fct</td>
</tr>
<tr>
<td align="left">factors</td>
<td align="left">fcts</td>
</tr>
<tr>
<td align="left">figure</td>
<td align="left">fig</td>
</tr>
<tr>
<td align="left">figures</td>
<td align="left">figs</td>
</tr>
<tr>
<td align="left">filesystem</td>
<td align="left">fs</td>
</tr>
<tr>
<td align="left">foreign key</td>
<td align="left">fk</td>
</tr>
<tr>
<td align="left">foreign keys</td>
<td align="left">fks</td>
</tr>
<tr>
<td align="left">formula</td>
<td align="left">fm</td>
</tr>
<tr>
<td align="left">formulas, formulae</td>
<td align="left">fms</td>
</tr>
<tr>
<td align="left">frequencies</td>
<td align="left">freqs</td>
</tr>
<tr>
<td align="left">frequent, frequency</td>
<td align="left">freq</td>
</tr>
<tr>
<td align="left">function</td>
<td align="left">fn</td>
</tr>
<tr>
<td align="left">functions</td>
<td align="left">fns</td>
</tr>
<tr>
<td align="left">generate, generation</td>
<td align="left">gen</td>
</tr>
<tr>
<td align="left">generations</td>
<td align="left">gens</td>
</tr>
<tr>
<td align="left">google</td>
<td align="left">g</td>
</tr>
<tr>
<td align="left">identifiers</td>
<td align="left">ids</td>
</tr>
<tr>
<td align="left">identify, identifier</td>
<td align="left">id</td>
</tr>
<tr>
<td align="left">image</td>
<td align="left">img</td>
</tr>
<tr>
<td align="left">images</td>
<td align="left">imgs</td>
</tr>
<tr>
<td align="left">include, inclusion</td>
<td align="left">incl</td>
</tr>
<tr>
<td align="left">index</td>
<td align="left">i</td>
</tr>
<tr>
<td align="left">indexes, indices</td>
<td align="left">ix</td>
</tr>
<tr>
<td align="left">information</td>
<td align="left">info</td>
</tr>
<tr>
<td align="left">initialize, initialization</td>
<td align="left">init</td>
</tr>
<tr>
<td align="left">install, installation</td>
<td align="left">instl</td>
</tr>
<tr>
<td align="left">integer</td>
<td align="left">int</td>
</tr>
<tr>
<td align="left">integers</td>
<td align="left">ints</td>
</tr>
<tr>
<td align="left">iterate, iteration, iterator</td>
<td align="left">itr</td>
</tr>
<tr>
<td align="left">iterations, iterators</td>
<td align="left">itrs</td>
</tr>
<tr>
<td align="left">label</td>
<td align="left">lbl</td>
</tr>
<tr>
<td align="left">labels</td>
<td align="left">lbls</td>
</tr>
<tr>
<td align="left">language</td>
<td align="left">lang</td>
</tr>
<tr>
<td align="left">languages</td>
<td align="left">langs</td>
</tr>
<tr>
<td align="left">left-hand side</td>
<td align="left">lhs</td>
</tr>
<tr>
<td align="left">level</td>
<td align="left">lvl</td>
</tr>
<tr>
<td align="left">levels</td>
<td align="left">lvls</td>
</tr>
<tr>
<td align="left">libraries</td>
<td align="left">libs</td>
</tr>
<tr>
<td align="left">library</td>
<td align="left">lib</td>
</tr>
<tr>
<td align="left">limit</td>
<td align="left">lim</td>
</tr>
<tr>
<td align="left">limits</td>
<td align="left">lims</td>
</tr>
<tr>
<td align="left">list</td>
<td align="left">ls</td>
</tr>
<tr>
<td align="left">logical</td>
<td align="left">lgl</td>
</tr>
<tr>
<td align="left">logicals</td>
<td align="left">lgls</td>
</tr>
<tr>
<td align="left">management</td>
<td align="left">mgmt</td>
</tr>
<tr>
<td align="left">Markdown</td>
<td align="left">md</td>
</tr>
<tr>
<td align="left">matrices</td>
<td align="left">mats</td>
</tr>
<tr>
<td align="left">matrix</td>
<td align="left">mat</td>
</tr>
<tr>
<td align="left">message</td>
<td align="left">msg</td>
</tr>
<tr>
<td align="left">messages</td>
<td align="left">msgs</td>
</tr>
<tr>
<td align="left">modifications</td>
<td align="left">mods</td>
</tr>
<tr>
<td align="left">modify, modification</td>
<td align="left">mod</td>
</tr>
<tr>
<td align="left">not a number</td>
<td align="left">nan</td>
</tr>
<tr>
<td align="left">not available</td>
<td align="left">na</td>
</tr>
<tr>
<td align="left">number</td>
<td align="left">nr</td>
</tr>
<tr>
<td align="left">number of</td>
<td align="left">n</td>
</tr>
<tr>
<td align="left">numbers</td>
<td align="left">nrs</td>
</tr>
<tr>
<td align="left">numeric</td>
<td align="left">num</td>
</tr>
<tr>
<td align="left">numerics</td>
<td align="left">nums</td>
</tr>
<tr>
<td align="left">object</td>
<td align="left">obj</td>
</tr>
<tr>
<td align="left">objects</td>
<td align="left">objs</td>
</tr>
<tr>
<td align="left">operate, operation, operator</td>
<td align="left">op</td>
</tr>
<tr>
<td align="left">operations, operators</td>
<td align="left">ops</td>
</tr>
<tr>
<td align="left">option</td>
<td align="left">opt</td>
</tr>
<tr>
<td align="left">options</td>
<td align="left">opts</td>
</tr>
<tr>
<td align="left">organizations</td>
<td align="left">orgs</td>
</tr>
<tr>
<td align="left">organize, organization</td>
<td align="left">org</td>
</tr>
<tr>
<td align="left">package</td>
<td align="left">pkg</td>
</tr>
<tr>
<td align="left">packages</td>
<td align="left">pkgs</td>
</tr>
<tr>
<td align="left">parameterize, parameter</td>
<td align="left">param</td>
</tr>
<tr>
<td align="left">parameters</td>
<td align="left">params</td>
</tr>
<tr>
<td align="left">position</td>
<td align="left">pos</td>
</tr>
<tr>
<td align="left">PostgreSQL</td>
<td align="left">pg</td>
</tr>
<tr>
<td align="left">predicate</td>
<td align="left">pred</td>
</tr>
<tr>
<td align="left">predicates</td>
<td align="left">preds</td>
</tr>
<tr>
<td align="left">preparations</td>
<td align="left">preps</td>
</tr>
<tr>
<td align="left">prepare, preparation</td>
<td align="left">prep</td>
</tr>
<tr>
<td align="left">primary key</td>
<td align="left">pk</td>
</tr>
<tr>
<td align="left">primary keys</td>
<td align="left">pks</td>
</tr>
<tr>
<td align="left">procedures</td>
<td align="left">prcds</td>
</tr>
<tr>
<td align="left">proceed, procedure</td>
<td align="left">prcd</td>
</tr>
<tr>
<td align="left">projection, project</td>
<td align="left">proj</td>
</tr>
<tr>
<td align="left">projections, projects</td>
<td align="left">projs</td>
</tr>
<tr>
<td align="left">properties</td>
<td align="left">props</td>
</tr>
<tr>
<td align="left">property</td>
<td align="left">prop</td>
</tr>
<tr>
<td align="left">prototype</td>
<td align="left">ptype</td>
</tr>
<tr>
<td align="left">prototypes</td>
<td align="left">ptypes</td>
</tr>
<tr>
<td align="left">Quarto Markdown</td>
<td align="left">qmd</td>
</tr>
<tr>
<td align="left">question</td>
<td align="left">qstn</td>
</tr>
<tr>
<td align="left">questionnaire</td>
<td align="left">qstnr</td>
</tr>
<tr>
<td align="left">questionnaires</td>
<td align="left">qstnrs</td>
</tr>
<tr>
<td align="left">questions</td>
<td align="left">qstns</td>
</tr>
<tr>
<td align="left">R Markdown</td>
<td align="left">rmd</td>
</tr>
<tr>
<td align="left">refer, reference</td>
<td align="left">ref</td>
</tr>
<tr>
<td align="left">references</td>
<td align="left">refs</td>
</tr>
<tr>
<td align="left">referendum</td>
<td align="left">rfrnd</td>
</tr>
<tr>
<td align="left">referendums, referenda</td>
<td align="left">rfrnds</td>
</tr>
<tr>
<td align="left">regular expression, regular expressions</td>
<td align="left">regex</td>
</tr>
<tr>
<td align="left">relative</td>
<td align="left">rel</td>
</tr>
<tr>
<td align="left">remove, removal</td>
<td align="left">rm</td>
</tr>
<tr>
<td align="left">repositories</td>
<td align="left">repos</td>
</tr>
<tr>
<td align="left">repository</td>
<td align="left">repo</td>
</tr>
<tr>
<td align="left">request</td>
<td align="left">req</td>
</tr>
<tr>
<td align="left">requests</td>
<td align="left">reqs</td>
</tr>
<tr>
<td align="left">respond, response</td>
<td align="left">resp</td>
</tr>
<tr>
<td align="left">responses</td>
<td align="left">resps</td>
</tr>
<tr>
<td align="left">right-hand side</td>
<td align="left">rhs</td>
</tr>
<tr>
<td align="left">roxygen2</td>
<td align="left">roxy</td>
</tr>
<tr>
<td align="left">separate, separator</td>
<td align="left">sep</td>
</tr>
<tr>
<td align="left">separators</td>
<td align="left">seps</td>
</tr>
<tr>
<td align="left">sequence</td>
<td align="left">seq</td>
</tr>
<tr>
<td align="left">sequences</td>
<td align="left">seqs</td>
</tr>
<tr>
<td align="left">snippet</td>
<td align="left">snip</td>
</tr>
<tr>
<td align="left">snippets</td>
<td align="left">snips</td>
</tr>
<tr>
<td align="left">source</td>
<td align="left">src</td>
</tr>
<tr>
<td align="left">sources</td>
<td align="left">srcs</td>
</tr>
<tr>
<td align="left">specifications</td>
<td align="left">specs</td>
</tr>
<tr>
<td align="left">specify, specification</td>
<td align="left">spec</td>
</tr>
<tr>
<td align="left">string</td>
<td align="left">str</td>
</tr>
<tr>
<td align="left">strings</td>
<td align="left">strs</td>
</tr>
<tr>
<td align="left">structure</td>
<td align="left">struct</td>
</tr>
<tr>
<td align="left">structures</td>
<td align="left">structs</td>
</tr>
<tr>
<td align="left">supplement, supplemental, supplementary</td>
<td align="left">suppl</td>
</tr>
<tr>
<td align="left">symbolize, symbol</td>
<td align="left">sym</td>
</tr>
<tr>
<td align="left">symbols</td>
<td align="left">syms</td>
</tr>
<tr>
<td align="left">tables</td>
<td align="left">tbls</td>
</tr>
<tr>
<td align="left">tabulate, table</td>
<td align="left">tbl</td>
</tr>
<tr>
<td align="left">template</td>
<td align="left">tpl</td>
</tr>
<tr>
<td align="left">templates</td>
<td align="left">tpls</td>
</tr>
<tr>
<td align="left">temporary</td>
<td align="left">tmp</td>
</tr>
<tr>
<td align="left">user experience</td>
<td align="left">ux</td>
</tr>
<tr>
<td align="left">user interface</td>
<td align="left">ui</td>
</tr>
<tr>
<td align="left">value</td>
<td align="left">val</td>
</tr>
<tr>
<td align="left">values</td>
<td align="left">vals</td>
</tr>
<tr>
<td align="left">variable</td>
<td align="left">var</td>
</tr>
<tr>
<td align="left">variables</td>
<td align="left">vars</td>
</tr>
<tr>
<td align="left">vectorize, vector</td>
<td align="left">vctr</td>
</tr>
<tr>
<td align="left">vectors</td>
<td align="left">vctrs</td>
</tr>
<tr>
<td align="left">verbatim</td>
<td align="left">verb</td>
</tr>
<tr>
<td align="left">version</td>
<td align="left">vrsn</td>
</tr>
<tr>
<td align="left">versions</td>
<td align="left">vrsns</td>
</tr>
<tr>
<td align="left">working directory</td>
<td align="left">wd</td>
</tr>
</tbody>
</table></details>
</div>
</div>
</div>


  </main><aside class="col-md-3"><div class="links">
<h2 data-toc-skip>Links</h2>
<ul class="list-unstyled">
<li><a href="https://gitlab.com/zdaarau/rpkgs/fokus/" class="external-link">Browse source code</a></li>
<li><a href="https://gitlab.com/zdaarau/rpkgs/fokus/-/issues" class="external-link">Report a bug</a></li>
</ul>
</div>

<div class="license">
<h2 data-toc-skip>License</h2>
<ul class="list-unstyled">
<li><a href="LICENSE.html">Full license</a></li>
<li><small>AGPL (&gt;= 3)</small></li>
</ul>
</div>


<div class="citation">
<h2 data-toc-skip>Citation</h2>
<ul class="list-unstyled">
<li><a href="authors.html#citation">Citing fokus</a></li>
</ul>
</div>

<div class="developers">
<h2 data-toc-skip>Developers</h2>
<ul class="list-unstyled">
<li>Salim Brüggemann <br><small class="roles"> Author, maintainer </small> <a href="https://orcid.org/0000-0002-5329-5987" target="orcid.widget" aria-label="ORCID" class="external-link"><span class="fab fa-orcid orcid" aria-hidden="true"></span></a> </li>
<li><a href="authors.html">More about authors...</a></li>
</ul>
</div>



  </aside>
</div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer>
</div>





  </body>
</html>
